Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Enum DiagramColors

    java.lang.Object
      java.lang.Enum<DiagramColors>
          org.eclipse.gmf.codegen.gmfgen.DiagramColors

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DiagramColors>, org.eclipse.emf.common.util.Enumerator

    public enum DiagramColors

extends java.lang.Enum<DiagramColors>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Diagram Colors', and utility methods for working with them.

See Also:
  `GMFGenPackage.getDiagramColors()`
** Generated **
Model:

Enum Constant Summary
`BLACK_LITERAL` The 'Black' literal object
`BLUE_LITERAL` The 'Blue' literal object
`BUTTON_DARKER_LITERAL` The 'Button Darker' literal object
`BUTTON_DARKEST_LITERAL` The 'Button Darkest' literal object
`BUTTON_LIGHTEST_LITERAL` The 'Button Lightest' literal object
`BUTTON_LITERAL` The 'Button' literal object
`CYAN_LITERAL` The 'Cyan' literal object
`DARK_BLUE_LITERAL` The 'Dark Blue' literal object
`DARK_GRAY_LITERAL` The 'Dark Gray' literal object
`DARK_GREEN_LITERAL` The 'Dark Green' literal object
`DIAGRAM_BLUE_LITERAL` The 'Diagram Blue' literal object
`DIAGRAM_BURGUNDY_RED_LITERAL` The 'Diagram Burgundy Red' literal object
`DIAGRAM_DARK_GRAY_LITERAL` The 'Diagram Dark Gray' literal object
`DIAGRAM_DARK_YELLOW_LITERAL` The 'Diagram Dark Yellow' literal object
`DIAGRAM_GRAY_LITERAL` The 'Diagram Gray' literal object
`DIAGRAM_GREEN_LITERAL` The 'Diagram Green' literal object
`DIAGRAM_LIGHT_BLUE_LITERAL` The 'Diagram Light Blue' literal object
`DIAGRAM_LIGHT_GOLD_YELLOW_LITERAL` The 'Diagram Light Gold Yellow' literal object
`DIAGRAM_LIGHT_GRAY_LITERAL` The 'Diagram Light Gray' literal object
`DIAGRAM_LIGHT_RED_LITERAL` The 'Diagram Light Red' literal object
`DIAGRAM_LIGHT_YELLOW_LITERAL` The 'Diagram Light Yellow' literal object
`DIAGRAM_RED_LITERAL` The 'Diagram Red' literal object
`GRAY_LITERAL` The 'Gray' literal object
`GREEN_LITERAL` The 'Green' literal object
`LIGHT_BLUE_LITERAL` The 'Light Blue' literal object
`LIGHT_GRAY_LITERAL` The 'Light Gray' literal object
`LIGHT_GREEN_LITERAL` The 'Light Green' literal object
`LIST_BACKGROUND_LITERAL` The 'List Background' literal object
`LIST_FOREGROUND_LITERAL` The 'List Foreground' literal object
`MENU_BACKGROUND_LITERAL` The 'Menu Background' literal object
`MENU_BACKGROUND_SELECTED_LITERAL` The 'Menu Background Selected' literal object
`MENU_FOREGROUND_LITERAL` The 'Menu Foreground' literal object
`MENU_FOREGROUND_SELECTED_LITERAL` The 'Menu Foreground Selected' literal object
`ORANGE_LITERAL` The 'Orange' literal object
`RED_LITERAL` The 'Red' literal object
`TITLE_BACKGROUND_LITERAL` The 'Title Background' literal object
`TITLE_FOREGROUND_LITERAL` The 'Title Foreground' literal object
`TITLE_GRADIENT_LITERAL` The 'Title Gradient' literal object
`TITLE_INACTIVE_BACKGROUND_LITERAL` The 'Title Inactive Background' literal object
`TITLE_INACTIVE_FOREGROUND_LITERAL` The 'Title Inactive Foreground' literal object
`TITLE_INACTIVE_GRADIENT_LITERAL` The 'Title Inactive Gradient' literal object
`TOOLTIP_BACKGROUND_LITERAL` The 'Tooltip Background' literal object
`TOOLTIP_FOREGROUND_LITERAL` The 'Tooltip Foreground' literal object
`WHITE_LITERAL` The 'White' literal object
`YELLOW_LITERAL` The 'Yellow' literal object

Field Summary
`static int` `BLACK` The 'Black' literal value
`static int` `BLUE` The 'Blue' literal value
`static int` `BUTTON` The 'Button' literal value
`static int` `BUTTON_DARKER` The 'Button Darker' literal value
`static int` `BUTTON_DARKEST` The 'Button Darkest' literal value
`static int` `BUTTON_LIGHTEST` The 'Button Lightest' literal value
`static int` `CYAN` The 'Cyan' literal value
`static int` `DARK_BLUE` The 'Dark Blue' literal value
`static int` `DARK_GRAY` The 'Dark Gray' literal value
`static int` `DARK_GREEN` The 'Dark Green' literal value
`static int` `DIAGRAM_BLUE` The 'Diagram Blue' literal value
`static int` `DIAGRAM_BURGUNDY_RED` The 'Diagram Burgundy Red' literal value
`static int` `DIAGRAM_DARK_GRAY` The 'Diagram Dark Gray' literal value
`static int` `DIAGRAM_DARK_YELLOW` The 'Diagram Dark Yellow' literal value
`static int` `DIAGRAM_GRAY` The 'Diagram Gray' literal value
`static int` `DIAGRAM_GREEN` The 'Diagram Green' literal value
`static int` `DIAGRAM_LIGHT_BLUE` The 'Diagram Light Blue' literal value
`static int` `DIAGRAM_LIGHT_GOLD_YELLOW` The 'Diagram Light Gold Yellow' literal value
`static int` `DIAGRAM_LIGHT_GRAY` The 'Diagram Light Gray' literal value
`static int` `DIAGRAM_LIGHT_RED` The 'Diagram Light Red' literal value
`static int` `DIAGRAM_LIGHT_YELLOW` The 'Diagram Light Yellow' literal value
`static int` `DIAGRAM_RED` The 'Diagram Red' literal value
`static int` `GRAY` The 'Gray' literal value
`static int` `GREEN` The 'Green' literal value
`static int` `LIGHT_BLUE` The 'Light Blue' literal value
`static int` `LIGHT_GRAY` The 'Light Gray' literal value
`static int` `LIGHT_GREEN` The 'Light Green' literal value
`static int` `LIST_BACKGROUND` The 'List Background' literal value
`static int` `LIST_FOREGROUND` The 'List Foreground' literal value
`static int` `MENU_BACKGROUND` The 'Menu Background' literal value
`static int` `MENU_BACKGROUND_SELECTED` The 'Menu Background Selected' literal value
`static int` `MENU_FOREGROUND` The 'Menu Foreground' literal value
`static int` `MENU_FOREGROUND_SELECTED` The 'Menu Foreground Selected' literal value
`static int` `ORANGE` The 'Orange' literal value
`static int` `RED` The 'Red' literal value
`static int` `TITLE_BACKGROUND` The 'Title Background' literal value
`static int` `TITLE_FOREGROUND` The 'Title Foreground' literal value
`static int` `TITLE_GRADIENT` The 'Title Gradient' literal value
`static int` `TITLE_INACTIVE_BACKGROUND` The 'Title Inactive Background' literal value
`static int` `TITLE_INACTIVE_FOREGROUND` The 'Title Inactive Foreground' literal value
`static int` `TITLE_INACTIVE_GRADIENT` The 'Title Inactive Gradient' literal value
`static int` `TOOLTIP_BACKGROUND` The 'Tooltip Background' literal value
`static int` `TOOLTIP_FOREGROUND` The 'Tooltip Foreground' literal value
`static java.util.List<DiagramColors>` `VALUES` A public read-only list of all the 'Diagram Colors' enumerators
`static int` `WHITE` The 'White' literal value
`static int` `YELLOW` The 'Yellow' literal value

Method Summary
`static DiagramColors` `get(int value)` Returns the 'Diagram Colors' literal with the specified integer value
`static DiagramColors` `get(java.lang.String literal)` Returns the 'Diagram Colors' literal with the specified literal value
`static DiagramColors` `getByName(java.lang.String name)` Returns the 'Diagram Colors' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static DiagramColors` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DiagramColors[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BUTTON_LIGHTEST_LITERAL

    public static final DiagramColors BUTTON_LIGHTEST_LITERAL

  The 'Button Lightest' literal object.

  See Also:
    `BUTTON_LIGHTEST`
  ** Generated **
  Ordered:

### BUTTON_LITERAL

    public static final DiagramColors BUTTON_LITERAL

  The 'Button' literal object.

  See Also:
    `BUTTON`
  ** Generated **
  Ordered:

### BUTTON_DARKER_LITERAL

    public static final DiagramColors BUTTON_DARKER_LITERAL

  The 'Button Darker' literal object.

  See Also:
    `BUTTON_DARKER`
  ** Generated **
  Ordered:

### BUTTON_DARKEST_LITERAL

    public static final DiagramColors BUTTON_DARKEST_LITERAL

  The 'Button Darkest' literal object.

  See Also:
    `BUTTON_DARKEST`
  ** Generated **
  Ordered:

### LIST_BACKGROUND_LITERAL

    public static final DiagramColors LIST_BACKGROUND_LITERAL

  The 'List Background' literal object.

  See Also:
    `LIST_BACKGROUND`
  ** Generated **
  Ordered:

### LIST_FOREGROUND_LITERAL

    public static final DiagramColors LIST_FOREGROUND_LITERAL

  The 'List Foreground' literal object.

  See Also:
    `LIST_FOREGROUND`
  ** Generated **
  Ordered:

### MENU_BACKGROUND_LITERAL

    public static final DiagramColors MENU_BACKGROUND_LITERAL

  The 'Menu Background' literal object.

  See Also:
    `MENU_BACKGROUND`
  ** Generated **
  Ordered:

### MENU_FOREGROUND_LITERAL

    public static final DiagramColors MENU_FOREGROUND_LITERAL

  The 'Menu Foreground' literal object.

  See Also:
    `MENU_FOREGROUND`
  ** Generated **
  Ordered:

### MENU_BACKGROUND_SELECTED_LITERAL

    public static final DiagramColors MENU_BACKGROUND_SELECTED_LITERAL

  The 'Menu Background Selected' literal object.

  See Also:
    `MENU_BACKGROUND_SELECTED`
  ** Generated **
  Ordered:

### MENU_FOREGROUND_SELECTED_LITERAL

    public static final DiagramColors MENU_FOREGROUND_SELECTED_LITERAL

  The 'Menu Foreground Selected' literal object.

  See Also:
    `MENU_FOREGROUND_SELECTED`
  ** Generated **
  Ordered:

### TITLE_BACKGROUND_LITERAL

    public static final DiagramColors TITLE_BACKGROUND_LITERAL

  The 'Title Background' literal object.

  See Also:
    `TITLE_BACKGROUND`
  ** Generated **
  Ordered:

### TITLE_GRADIENT_LITERAL

    public static final DiagramColors TITLE_GRADIENT_LITERAL

  The 'Title Gradient' literal object.

  See Also:
    `TITLE_GRADIENT`
  ** Generated **
  Ordered:

### TITLE_FOREGROUND_LITERAL

    public static final DiagramColors TITLE_FOREGROUND_LITERAL

  The 'Title Foreground' literal object.

  See Also:
    `TITLE_FOREGROUND`
  ** Generated **
  Ordered:

### TITLE_INACTIVE_FOREGROUND_LITERAL

    public static final DiagramColors TITLE_INACTIVE_FOREGROUND_LITERAL

  The 'Title Inactive Foreground' literal object.

  See Also:
    `TITLE_INACTIVE_FOREGROUND`
  ** Generated **
  Ordered:

### TITLE_INACTIVE_BACKGROUND_LITERAL

    public static final DiagramColors TITLE_INACTIVE_BACKGROUND_LITERAL

  The 'Title Inactive Background' literal object.

  See Also:
    `TITLE_INACTIVE_BACKGROUND`
  ** Generated **
  Ordered:

### TITLE_INACTIVE_GRADIENT_LITERAL

    public static final DiagramColors TITLE_INACTIVE_GRADIENT_LITERAL

  The 'Title Inactive Gradient' literal object.

  See Also:
    `TITLE_INACTIVE_GRADIENT`
  ** Generated **
  Ordered:

### TOOLTIP_FOREGROUND_LITERAL

    public static final DiagramColors TOOLTIP_FOREGROUND_LITERAL

  The 'Tooltip Foreground' literal object.

  See Also:
    `TOOLTIP_FOREGROUND`
  ** Generated **
  Ordered:

### TOOLTIP_BACKGROUND_LITERAL

    public static final DiagramColors TOOLTIP_BACKGROUND_LITERAL

  The 'Tooltip Background' literal object.

  See Also:
    `TOOLTIP_BACKGROUND`
  ** Generated **
  Ordered:

### WHITE_LITERAL

    public static final DiagramColors WHITE_LITERAL

  The 'White' literal object.

  See Also:
    `WHITE`
  ** Generated **
  Ordered:

### LIGHT_GRAY_LITERAL

    public static final DiagramColors LIGHT_GRAY_LITERAL

  The 'Light Gray' literal object.

  See Also:
    `LIGHT_GRAY`
  ** Generated **
  Ordered:

### GRAY_LITERAL

    public static final DiagramColors GRAY_LITERAL

  The 'Gray' literal object.

  See Also:
    `GRAY`
  ** Generated **
  Ordered:

### DARK_GRAY_LITERAL

    public static final DiagramColors DARK_GRAY_LITERAL

  The 'Dark Gray' literal object.

  See Also:
    `DARK_GRAY`
  ** Generated **
  Ordered:

### BLACK_LITERAL

    public static final DiagramColors BLACK_LITERAL

  The 'Black' literal object.

  See Also:
    `BLACK`
  ** Generated **
  Ordered:

### RED_LITERAL

    public static final DiagramColors RED_LITERAL

  The 'Red' literal object.

  See Also:
    `RED`
  ** Generated **
  Ordered:

### ORANGE_LITERAL

    public static final DiagramColors ORANGE_LITERAL

  The 'Orange' literal object.

  See Also:
    `ORANGE`
  ** Generated **
  Ordered:

### YELLOW_LITERAL

    public static final DiagramColors YELLOW_LITERAL

  The 'Yellow' literal object.

  See Also:
    `YELLOW`
  ** Generated **
  Ordered:

### GREEN_LITERAL

    public static final DiagramColors GREEN_LITERAL

  The 'Green' literal object.

  See Also:
    `GREEN`
  ** Generated **
  Ordered:

### LIGHT_GREEN_LITERAL

    public static final DiagramColors LIGHT_GREEN_LITERAL

  The 'Light Green' literal object.

  See Also:
    `LIGHT_GREEN`
  ** Generated **
  Ordered:

### DARK_GREEN_LITERAL

    public static final DiagramColors DARK_GREEN_LITERAL

  The 'Dark Green' literal object.

  See Also:
    `DARK_GREEN`
  ** Generated **
  Ordered:

### CYAN_LITERAL

    public static final DiagramColors CYAN_LITERAL

  The 'Cyan' literal object.

  See Also:
    `CYAN`
  ** Generated **
  Ordered:

### LIGHT_BLUE_LITERAL

    public static final DiagramColors LIGHT_BLUE_LITERAL

  The 'Light Blue' literal object.

  See Also:
    `LIGHT_BLUE`
  ** Generated **
  Ordered:

### BLUE_LITERAL

    public static final DiagramColors BLUE_LITERAL

  The 'Blue' literal object.

  See Also:
    `BLUE`
  ** Generated **
  Ordered:

### DARK_BLUE_LITERAL

    public static final DiagramColors DARK_BLUE_LITERAL

  The 'Dark Blue' literal object.

  See Also:
    `DARK_BLUE`
  ** Generated **
  Ordered:

### DIAGRAM_GREEN_LITERAL

    public static final DiagramColors DIAGRAM_GREEN_LITERAL

  The 'Diagram Green' literal object.

  See Also:
    `DIAGRAM_GREEN`
  ** Generated **
  Ordered:

### DIAGRAM_LIGHT_RED_LITERAL

    public static final DiagramColors DIAGRAM_LIGHT_RED_LITERAL

  The 'Diagram Light Red' literal object.

  See Also:
    `DIAGRAM_LIGHT_RED`
  ** Generated **
  Ordered:

### DIAGRAM_RED_LITERAL

    public static final DiagramColors DIAGRAM_RED_LITERAL

  The 'Diagram Red' literal object.

  See Also:
    `DIAGRAM_RED`
  ** Generated **
  Ordered:

### DIAGRAM_LIGHT_BLUE_LITERAL

    public static final DiagramColors DIAGRAM_LIGHT_BLUE_LITERAL

  The 'Diagram Light Blue' literal object.

  See Also:
    `DIAGRAM_LIGHT_BLUE`
  ** Generated **
  Ordered:

### DIAGRAM_BLUE_LITERAL

    public static final DiagramColors DIAGRAM_BLUE_LITERAL

  The 'Diagram Blue' literal object.

  See Also:
    `DIAGRAM_BLUE`
  ** Generated **
  Ordered:

### DIAGRAM_LIGHT_GRAY_LITERAL

    public static final DiagramColors DIAGRAM_LIGHT_GRAY_LITERAL

  The 'Diagram Light Gray' literal object.

  See Also:
    `DIAGRAM_LIGHT_GRAY`
  ** Generated **
  Ordered:

### DIAGRAM_GRAY_LITERAL

    public static final DiagramColors DIAGRAM_GRAY_LITERAL

  The 'Diagram Gray' literal object.

  See Also:
    `DIAGRAM_GRAY`
  ** Generated **
  Ordered:

### DIAGRAM_DARK_GRAY_LITERAL

    public static final DiagramColors DIAGRAM_DARK_GRAY_LITERAL

  The 'Diagram Dark Gray' literal object.

  See Also:
    `DIAGRAM_DARK_GRAY`
  ** Generated **
  Ordered:

### DIAGRAM_LIGHT_YELLOW_LITERAL

    public static final DiagramColors DIAGRAM_LIGHT_YELLOW_LITERAL

  The 'Diagram Light Yellow' literal object.

  See Also:
    `DIAGRAM_LIGHT_YELLOW`
  ** Generated **
  Ordered:

### DIAGRAM_DARK_YELLOW_LITERAL

    public static final DiagramColors DIAGRAM_DARK_YELLOW_LITERAL

  The 'Diagram Dark Yellow' literal object.

  See Also:
    `DIAGRAM_DARK_YELLOW`
  ** Generated **
  Ordered:

### DIAGRAM_LIGHT_GOLD_YELLOW_LITERAL

    public static final DiagramColors DIAGRAM_LIGHT_GOLD_YELLOW_LITERAL

  The 'Diagram Light Gold Yellow' literal object.

  See Also:
    `DIAGRAM_LIGHT_GOLD_YELLOW`
  ** Generated **
  Ordered:

### DIAGRAM_BURGUNDY_RED_LITERAL

    public static final DiagramColors DIAGRAM_BURGUNDY_RED_LITERAL

  The 'Diagram Burgundy Red' literal object.

  See Also:
    `DIAGRAM_BURGUNDY_RED`
  ** Generated **
  Ordered:

Field Detail

### BUTTON_LIGHTEST

    public static final int BUTTON_LIGHTEST

  The 'Button Lightest' literal value.

  If the meaning of 'Button Lightest' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BUTTON_LIGHTEST_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="buttonLightest"

### BUTTON

    public static final int BUTTON

  The 'Button' literal value.

  If the meaning of 'Button' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BUTTON_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="button"

### BUTTON_DARKER

    public static final int BUTTON_DARKER

  The 'Button Darker' literal value.

  If the meaning of 'Button Darker' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BUTTON_DARKER_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="buttonDarker"

### BUTTON_DARKEST

    public static final int BUTTON_DARKEST

  The 'Button Darkest' literal value.

  If the meaning of 'Button Darkest' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BUTTON_DARKEST_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="buttonDarkest"

### LIST_BACKGROUND

    public static final int LIST_BACKGROUND

  The 'List Background' literal value.

  If the meaning of 'List Background' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LIST_BACKGROUND_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="listBackground"

### LIST_FOREGROUND

    public static final int LIST_FOREGROUND

  The 'List Foreground' literal value.

  If the meaning of 'List Foreground' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LIST_FOREGROUND_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="listForeground"

### MENU_BACKGROUND

    public static final int MENU_BACKGROUND

  The 'Menu Background' literal value.

  If the meaning of 'Menu Background' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MENU_BACKGROUND_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="menuBackground"

### MENU_FOREGROUND

    public static final int MENU_FOREGROUND

  The 'Menu Foreground' literal value.

  If the meaning of 'Menu Foreground' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MENU_FOREGROUND_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="menuForeground"

### MENU_BACKGROUND_SELECTED

    public static final int MENU_BACKGROUND_SELECTED

  The 'Menu Background Selected' literal value.

  If the meaning of 'Menu Background Selected' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MENU_BACKGROUND_SELECTED_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="menuBackgroundSelected"

### MENU_FOREGROUND_SELECTED

    public static final int MENU_FOREGROUND_SELECTED

  The 'Menu Foreground Selected' literal value.

  If the meaning of 'Menu Foreground Selected' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MENU_FOREGROUND_SELECTED_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="menuForegroundSelected"

### TITLE_BACKGROUND

    public static final int TITLE_BACKGROUND

  The 'Title Background' literal value.

  If the meaning of 'Title Background' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TITLE_BACKGROUND_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="titleBackground"

### TITLE_GRADIENT

    public static final int TITLE_GRADIENT

  The 'Title Gradient' literal value.

  If the meaning of 'Title Gradient' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TITLE_GRADIENT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="titleGradient"

### TITLE_FOREGROUND

    public static final int TITLE_FOREGROUND

  The 'Title Foreground' literal value.

  If the meaning of 'Title Foreground' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TITLE_FOREGROUND_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="titleForeground"

### TITLE_INACTIVE_FOREGROUND

    public static final int TITLE_INACTIVE_FOREGROUND

  The 'Title Inactive Foreground' literal value.

  If the meaning of 'Title Inactive Foreground' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TITLE_INACTIVE_FOREGROUND_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="titleInactiveForeground"

### TITLE_INACTIVE_BACKGROUND

    public static final int TITLE_INACTIVE_BACKGROUND

  The 'Title Inactive Background' literal value.

  If the meaning of 'Title Inactive Background' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TITLE_INACTIVE_BACKGROUND_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="titleInactiveBackground"

### TITLE_INACTIVE_GRADIENT

    public static final int TITLE_INACTIVE_GRADIENT

  The 'Title Inactive Gradient' literal value.

  If the meaning of 'Title Inactive Gradient' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TITLE_INACTIVE_GRADIENT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="titleInactiveGradient"

### TOOLTIP_FOREGROUND

    public static final int TOOLTIP_FOREGROUND

  The 'Tooltip Foreground' literal value.

  If the meaning of 'Tooltip Foreground' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TOOLTIP_FOREGROUND_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="tooltipForeground"

### TOOLTIP_BACKGROUND

    public static final int TOOLTIP_BACKGROUND

  The 'Tooltip Background' literal value.

  If the meaning of 'Tooltip Background' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TOOLTIP_BACKGROUND_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="tooltipBackground"

### WHITE

    public static final int WHITE

  The 'White' literal value.

  If the meaning of 'White' literal object isn't clear, there really should be more of a description here...

  See Also:
    `WHITE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="white"

### LIGHT_GRAY

    public static final int LIGHT_GRAY

  The 'Light Gray' literal value.

  If the meaning of 'Light Gray' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LIGHT_GRAY_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="lightGray"

### GRAY

    public static final int GRAY

  The 'Gray' literal value.

  If the meaning of 'Gray' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GRAY_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="gray"

### DARK_GRAY

    public static final int DARK_GRAY

  The 'Dark Gray' literal value.

  If the meaning of 'Dark Gray' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DARK_GRAY_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="darkGray"

### BLACK

    public static final int BLACK

  The 'Black' literal value.

  If the meaning of 'Black' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BLACK_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="black"

### RED

    public static final int RED

  The 'Red' literal value.

  If the meaning of 'Red' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RED_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="red"

### ORANGE

    public static final int ORANGE

  The 'Orange' literal value.

  If the meaning of 'Orange' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ORANGE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="orange"

### YELLOW

    public static final int YELLOW

  The 'Yellow' literal value.

  If the meaning of 'Yellow' literal object isn't clear, there really should be more of a description here...

  See Also:
    `YELLOW_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="yellow"

### GREEN

    public static final int GREEN

  The 'Green' literal value.

  If the meaning of 'Green' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GREEN_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="green"

### LIGHT_GREEN

    public static final int LIGHT_GREEN

  The 'Light Green' literal value.

  If the meaning of 'Light Green' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LIGHT_GREEN_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="lightGreen"

### DARK_GREEN

    public static final int DARK_GREEN

  The 'Dark Green' literal value.

  If the meaning of 'Dark Green' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DARK_GREEN_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="darkGreen"

### CYAN

    public static final int CYAN

  The 'Cyan' literal value.

  If the meaning of 'Cyan' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CYAN_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="cyan"

### LIGHT_BLUE

    public static final int LIGHT_BLUE

  The 'Light Blue' literal value.

  If the meaning of 'Light Blue' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LIGHT_BLUE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="lightBlue"

### BLUE

    public static final int BLUE

  The 'Blue' literal value.

  If the meaning of 'Blue' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BLUE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="blue"

### DARK_BLUE

    public static final int DARK_BLUE

  The 'Dark Blue' literal value.

  If the meaning of 'Dark Blue' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DARK_BLUE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="darkBlue"

### DIAGRAM_GREEN

    public static final int DIAGRAM_GREEN

  The 'Diagram Green' literal value.

  If the meaning of 'Diagram Green' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DIAGRAM_GREEN_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="diagramGreen"

### DIAGRAM_LIGHT_RED

    public static final int DIAGRAM_LIGHT_RED

  The 'Diagram Light Red' literal value.

  If the meaning of 'Diagram Light Red' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DIAGRAM_LIGHT_RED_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="diagramLightRed"

### DIAGRAM_RED

    public static final int DIAGRAM_RED

  The 'Diagram Red' literal value.

  If the meaning of 'Diagram Red' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DIAGRAM_RED_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="diagramRed"

### DIAGRAM_LIGHT_BLUE

    public static final int DIAGRAM_LIGHT_BLUE

  The 'Diagram Light Blue' literal value.

  If the meaning of 'Diagram Light Blue' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DIAGRAM_LIGHT_BLUE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="diagramLightBlue"

### DIAGRAM_BLUE

    public static final int DIAGRAM_BLUE

  The 'Diagram Blue' literal value.

  If the meaning of 'Diagram Blue' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DIAGRAM_BLUE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="diagramBlue"

### DIAGRAM_LIGHT_GRAY

    public static final int DIAGRAM_LIGHT_GRAY

  The 'Diagram Light Gray' literal value.

  If the meaning of 'Diagram Light Gray' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DIAGRAM_LIGHT_GRAY_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="diagramLightGray"

### DIAGRAM_GRAY

    public static final int DIAGRAM_GRAY

  The 'Diagram Gray' literal value.

  If the meaning of 'Diagram Gray' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DIAGRAM_GRAY_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="diagramGray"

### DIAGRAM_DARK_GRAY

    public static final int DIAGRAM_DARK_GRAY

  The 'Diagram Dark Gray' literal value.

  If the meaning of 'Diagram Dark Gray' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DIAGRAM_DARK_GRAY_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="diagramDarkGray"

### DIAGRAM_LIGHT_YELLOW

    public static final int DIAGRAM_LIGHT_YELLOW

  The 'Diagram Light Yellow' literal value.

  If the meaning of 'Diagram Light Yellow' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DIAGRAM_LIGHT_YELLOW_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="diagramLightYellow"

### DIAGRAM_DARK_YELLOW

    public static final int DIAGRAM_DARK_YELLOW

  The 'Diagram Dark Yellow' literal value.

  If the meaning of 'Diagram Dark Yellow' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DIAGRAM_DARK_YELLOW_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="diagramDarkYellow"

### DIAGRAM_LIGHT_GOLD_YELLOW

    public static final int DIAGRAM_LIGHT_GOLD_YELLOW

  The 'Diagram Light Gold Yellow' literal value.

  If the meaning of 'Diagram Light Gold Yellow' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DIAGRAM_LIGHT_GOLD_YELLOW_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="diagramLightGoldYellow"

### DIAGRAM_BURGUNDY_RED

    public static final int DIAGRAM_BURGUNDY_RED

  The 'Diagram Burgundy Red' literal value.

  If the meaning of 'Diagram Burgundy Red' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DIAGRAM_BURGUNDY_RED_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="diagramBurgundyRed"

### VALUES

    public static final java.util.List<DiagramColors> VALUES

  A public read-only list of all the 'Diagram Colors' enumerators.

  ** Generated **

Method Detail

### values

    public static DiagramColors[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DiagramColors c : DiagramColors.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DiagramColors valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public static DiagramColors get(java.lang.String literal)

  Returns the 'Diagram Colors' literal with the specified literal value.

  ** Generated **

### getByName

    public static DiagramColors getByName(java.lang.String name)

  Returns the 'Diagram Colors' literal with the specified name.

  ** Generated **

### get

    public static DiagramColors get(int value)

  Returns the 'Diagram Colors' literal with the specified integer value.

  ** Generated **

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<DiagramColors>`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.